﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Web.Http;
using System.Web.Http.Cors;
using WebApplication8.Models;

namespace WebApplication8.Controllers
{
    [AllowAnonymous]
    [EnableCors(origins: "*", headers: "*", methods: "*")]
    public class CompanyController : ApiController
    {
        [HttpGet]
        [Route("api/company/getByDate")]
        public async Task<IHttpActionResult> Get(DateTime date)
        {
            var companies = new List<Company>();

            if (date < DateTime.Now.Date)
            {
                companies.Add(new Company() { Name = "Test 1", City = "Test city 1" });
                companies.Add(new Company() { Name = "Test 2", City = "Test city 2" });
            }
            else
            {
                companies.Add(new Company() { Name = "Test 3", City = "Test city 3" });
                companies.Add(new Company() { Name = "Test 4", City = "Test city 4" });
                companies.Add(new Company() { Name = "Test 5", City = "Test city 5" });
            }

            return Ok(companies);
        }
    }
}